<?PHP

#
#   FILE:  SPT--EditTopic.php
#
#   FUNCTIONS PROVIDED:
#
#   FUNCTIONS EXPECTED:
#
#   Part of the Scout Portal Toolkit
#   Copyright 2004 Internet Scout Project
#   http://scout.cs.wisc.edu
#

PageTitle("Edit Topic");

# ----- EXPORTED FUNCTIONS ---------------------------------------------------

function PrintTopic()
{
    global $TopicName;
    print $TopicName;
}

# ----- LOCAL FUNCTIONS ------------------------------------------------------

# ----- MAIN -----------------------------------------------------------------

# non-standard global variables
global $TopicName;

if (!CheckAuthorization( PRIV_SYSADMIN )) {  return;  }

$ForumId = $Session->Get("ForumId");
$TopicId = $Session->Get("TopicId");
$Topic = new Topic($TopicId);
$TopicName = $Topic->TopicName();

$Session->PassVariable("TopicId", $TopicId);
$Session->PassVariable("ForumId", $ForumId);

?>
